Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

## Enum Frequency6Code

- java.lang.Object
- - java.lang.Enum<Frequency6Code>
  - - org.kapott.hbci.sepa.jaxb.pain_008_001_08.Frequency6Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Frequency6Code>`

    public enum Frequency6Code
    extends java.lang.Enum<Frequency6Code>

Java class for Frequency6Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Frequency6Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="YEAR"/>
         <enumeration value="MNTH"/>
         <enumeration value="QURT"/>
         <enumeration value="MIAN"/>
         <enumeration value="WEEK"/>
         <enumeration value="DAIL"/>
         <enumeration value="ADHO"/>
         <enumeration value="INDA"/>
         <enumeration value="FRTN"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`ADHO`
`DAIL`
`FRTN`
`INDA`
`MIAN`
`MNTH`
`QURT`
`WEEK`
`YEAR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Frequency6Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static Frequency6Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Frequency6Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### YEAR

    public static final Frequency6Code YEAR

#### MNTH

    public static final Frequency6Code MNTH

#### QURT

    public static final Frequency6Code QURT

#### MIAN

    public static final Frequency6Code MIAN

#### WEEK

    public static final Frequency6Code WEEK

#### DAIL

    public static final Frequency6Code DAIL

#### ADHO

    public static final Frequency6Code ADHO

#### INDA

    public static final Frequency6Code INDA

#### FRTN

    public static final Frequency6Code FRTN

### Method Detail

#### values

    public static Frequency6Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Frequency6Code c : Frequency6Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Frequency6Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static Frequency6Code fromValue​(java.lang.String v)